## sipwitch 1.6.1

=== server/CMakeLists.txt ===
# Copyright (C) 2011 David Sugar, Tycho Softworks.
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
#

set(server_src server.cpp registry.cpp stack.cpp thread.cpp call.cpp messages.cpp media.cpp system.cpp signals.cpp history.cpp protocols.cpp voip.cpp)
set(server_inc server.h voip.h)

if(NOT HAVE_PLUGINS)
    set(server_src ${server_src} forward.cpp scripting.cpp)
endif()

add_executable(sipwitch ${server_src} ${server_inc})
add_dependencies(sipwitch sipwitch-runtime usecure ucommon eXosip2)
target_link_libraries(sipwitch sipwitch-runtime usecure ucommon ${EXOSIP2_LIBS} ${SECURE_LIBS} ${UCOMMON_LIBS})
set_target_properties(sipwitch PROPERTIES OUTPUT_NAME sipw)
install(TARGETS sipwitch DESTINATION ${INSTALL_SBINDIR})

if(HAVE_PLUGINS)
    add_library(sipwitch-forward MODULE forward.cpp)
    add_dependencies(sipwitch-forward sipwitch-runtime ucommon)
    target_link_libraries(sipwitch-forward sipwitch-runtime ${USES_UCOMMON_LIBRARIES})
    set_target_properties(sipwitch-forward PROPERTIES OUTPUT_NAME forward SUFFIX ${MODULE_EXT} PREFIX "")

    add_library(sipwitch-scripting MODULE scripting.cpp)
    add_dependencies(sipwitch-scripting sipwitch-runtime ucommon)
    target_link_libraries(sipwitch-scripting sipwitch-runtime ${USES_UCOMMON_LIBRARIES})
    set_target_properties(sipwitch-scripting PROPERTIES OUTPUT_NAME scripting SUFFIX ${MODULE_EXT} PREFIX "")

    add_library(sipwitch-subscriber MODULE subscriber.cpp)
    add_dependencies(sipwitch-subscriber sipwitch-runtime ucommon)
    target_link_libraries(sipwitch-subscriber sipwitch-runtime ucommon ${USES_UCOMMON_LIBRARIES})
    set_target_properties(sipwitch-subscriber PROPERTIES OUTPUT_NAME subscriber SUFFIX ${MODULE_EXT} PREFIX "")

    install(TARGETS sipwitch-forward sipwitch-scripting sipwitch-subscriber DESTINATION ${INSTALL_PLUGINS})
endif()

if(HAVE_PLUGINS AND USES_ZEROCONF_FOUND)
    add_library(sipwitch-zeroconf MODULE zeroconf.cpp)
    add_dependencies(sipwitch-zeroconf sipwitch-runtime ucommon)
    target_link_libraries(sipwitch-zeroconf sipwitch-runtime ${USES_ZEROCONF_LIBRARIES} ${USES_UCOMMON_LIBRARIES})
    set_target_properties(sipwitch-zeroconf PROPERTIES OUTPUT_NAME zeroconf SUFFIX ${MODULE_EXT} PREFIX "")

    install(TARGETS sipwitch-zeroconf DESTINATION ${INSTALL_PLUGINS})
endif()

## sipwitch 0.5.10-1trisquel2-1

=== debian/changelog ===
sipwitch (0.5.10-1trisquel2-1) trisquel; urgency=low

  * Compiled for Trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Wed, 25 Nov 2009 21:20:19 +0000

sipwitch (0.5.10-1) dwyn; urgency=medium

  * Fix for clients that register from ephimeral sockets (telepathy)
  * Removal of swig and snmp; greatly simplified packaging

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 24 Nov 2009 12:02:16 -0500

sipwitch (0.5.7-1) dwyn; urgency=high

  * Fix for memory corruption bug.

 -- David Sugar <dyfet@gnutelephony.org>  Fri, 14 Aug 2009 20:11:00 -0400

sipwitch (0.5.6-1) dwyn; urgency=low

  * refer method support for call transfer added.
  * rewrite of media proxy/network peering detection added.
  * rtpproxy plugin removed; will be integrated to core server.

 -- David Sugar <dyfet@gnutelephony.org>  Thu, 18 Jun 2009 10:11:13 -0400

sipwitch (0.5.5-1) dwyn; urgency=low

  * Changes in configure to better support python, php, and init scripts.
  * Support dist-packages path for python on newer distros

 -- David Sugar <dyfet@gnutelephony.org>  Wed, 10 Jun 2009 09:31:38 -0400

sipwitch (0.5.4-1) dwyn; urgency=medium

  * Fix for correct domain or request identity in session->identity.
  * Cleanup of debian control file and packaging.

 -- David Sugar <dyfet@gnutelephony.org>  Sat, 02 May 2009 09:18:02 -0400

sipwitch (0.5.3-1) dwyn; urgency=low

  * Initial release.

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 03 Mar 2009 12:55:04 -0400

=== debian/control ===
Source: sipwitch
Priority: extra
Maintainer: David Sugar <dyfet@gnutelephony.org>
Build-Depends: debhelper (>= 5), libexosip2-dev (>= 3), libucommon-dev (>= 2.0.0), libavahi-client-dev, libgcrypt-dev, pkg-config, cdbs, dpkg-dev (>= 1.13.19)
Standards-Version: 3.8.2
Homepage: http://www.gnutelephony.org
Section: net

Package: libsipwitch-dev
Section: libdevel
Architecture: any
Depends: libsipwitch0 (= ${binary:Version}), libucommon-dev, ${misc:Depends}
Suggests: libexosip2-dev
Description: Headers and static link library for libswitch
 Static link and header files for developing external plugins and services
 that use sipwitch.

Package: libsipwitch0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for sipwitch server
 This is the runtime library used by GNU SIP Witch and plugins.

Package: sipwitch-plugin-zeroconf
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Zeroconf plugin for sipwitch
 This plugin activates zeroconf network services for sipwitch and publishes
 sipwitch as a sip server.

Package: sipwitch-plugin-forward
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Forward registration and redirection module for sipwitch
 This plugin enables you to cross-register secure extensions with sipwitch
 and with an insecure IP-PBX.  Secure destinations called off the extension
 number will route peer node to node through sipwitch, and all other
 destination numbers will be forwarded to the insecure IP-PBX.

Package: sipwitch-plugin-scripting
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Scripting plugin for sipwitch
 This plugin enables shell scripting in connection with specific sipwitch
 events.

Package: sipwitch-plugin-subscriber
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Subscriber gateway plugin for sipwitch
 This module is meant to eventually offer generic support for premise 
 routers when used by providers to offer sip/voip service to a subscriber.
 It offers rtp proxying and routing based on the assumption that all calls
 will be handed off to an external voip provider and automatic rtp
 proxy bridging between a subscribers local subnet and an isp.  In theory
 this would be deployed in an isp supplied premise router to enable a 
 local user to subscribe a series of local softphone/sip devices with a 
 remote voip service provider.

Package: sipwitch
Architecture: any
Section: net
Depends: libsipwitch0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: sip peer media telephony server
 GNU SIP Witch is a pure SIP-based office telephone call server that supports
 generic phone system features like call forwarding, hunt groups and call
 distribution, call coverage and ring groups, holding, and call transfer, as
 well as offering SIP specific capabilities such as presence and messaging. It
 supports secure telephone extensions for making calls over the Internet, and
 intercept/decrypt-free peer-to-peer audio and video extensions. It is not a 
 SIP proxy, a multi-protocol telephone server, or an IP-PBX, and does not try
 to emulate Asterisk, FreeSWITCH, or Yate.

=== debian/rules ===
#!/usr/bin/make -f

FILENAME = $(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
URL = http://ftp.gnu.org/pub/gnu/sipwitch/sipwitch-$(DEB_UPSTREAM_VERSION).tar.gz

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(FILENAME) from $(URL) ...
	@@wget -N -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)

=== debian/watch ===
version=2
# Site		Directory		Pattern			Version	Script
http://ftp.gnu.org/pub/gnu/sipwitch/	sipwitch-([\d\.]*)\.tar\.gz	debian  svn-upgrade

## sipwitch 0.5.10-1trisquel3-1

=== debian/changelog ===
sipwitch (0.5.10-1trisquel3-1) trisquel; urgency=low

  * Compiled for Trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Wed, 25 Nov 2009 21:18:32 +0000

## sipwitch 0.8.4

=== debian/changelog ===
sipwitch (0.8.4-0ubuntu1) maverick; urgency=low

  * New upstream release LP: #612102
  * Bump standards-version to 3.9.1 No other changes

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 01 Aug 2010 00:54:15 +0530

sipwitch (0.8.3-0ubuntu1) maverick; urgency=low

  * New upstream version (LP: #576967):
    - Requires ucommon 2.1.3 or later
    - Introduction of desktop notification plugin subpackage
    - Reloads configuration when ethernet interface state changes
    - Packaging cleanup

 -- David Sugar <david.sugar@canonical.com>  Tue, 18 May 2010 15:00:23 -0400

sipwitch (0.7.4-0ubuntu1) lucid; urgency=high

  * New upstream version (LP: #539206):
    - Upstream fix for sippasswd sending realm instead of hash
    - Upstream fix for server uuid realm when no realm set
    - New server debugging and management options from upstream
  * debian/rules:
    - Fix for sippasswd setuid by using override_dh_fixperms
    - Added back debug symbols by using override_dh_strip
  * debian/control:
    - bump Standards-version to 3.8.4. No changes required.
    - New sipwitch-cgi subpackage for proper install of cgi webservice
    - Updated short and long descriptions
  * debian/sipwitch.install: do not install cgi related files

 -- David Sugar <david.sugar@canonical.com>  Mon, 15 Mar 2010 14:35:01 -0400

sipwitch (0.7.1-0ubuntu1) lucid; urgency=medium

  * Fix for init script (LP: #520996)
  * Introduction of NAT support and media proxy
  * Moved lab.xml to config examples
  * Definition of SIP Domain consolidated with SIP Realm

 -- David Sugar <david.sugar@canonical.com>  Fri, 12 Feb 2010 09:55:24 -0500

sipwitch (0.6.2-0ubuntu1) karmic; urgency=low

  * Initial packaging for Ubuntu (LP: #342637)

 -- David Sugar <david.sugar@canonical.com>  Sat, 23 Jan 2010 02:05:40 -0500

=== debian/control ===
Source: sipwitch
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Sugar <dyfet@gnutelephony.org>
Build-Depends: debhelper (>= 7.0.50~), 
               dpkg-dev (>= 1.13.19),
               libavahi-client-dev,
               libexosip2-dev (>= 3),
               libgcrypt-dev,
               libnotify-dev,
               libucommon-dev (>= 2.1.3),
               pkg-config
Standards-Version: 3.9.1
Homepage: http://www.gnutelephony.org
Section: net

Package: libsipwitch-dev
Section: libdevel
Architecture: any
Depends: libsipwitch0 (= ${binary:Version}), libucommon-dev, ${misc:Depends}
Suggests: libexosip2-dev
Description: Headers and static link library for libswitch
 This package offers header files for developing plugins and services that 
 use sipwitch.  These can be compiled separately from sipwitch itself and
 are loaded at server runtime.  Some external utilities may also be developed
 which use the libsipwitch library.

Package: sipwitch-cgi
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: apache2 | httpd
Description: sipwitch xmlrpc cgi interface
 This package offers a means to perform remote management of a sipwitch
 server using the cgi interface of an installed web server.  The primary
 service this offers is xmlrpc access to sipwitch shared memory and
 control interfaces in a manner analgolous to the sipwitch command utility.

Package: sipwitch-dbg
Architecture: any
Section: debug
Priority: extra
Recommends: sipwitch (= ${binary:Version}), libsipwitch-dev
Depends: libsipwitch0 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for sipwitch
 This package includes debugging symbols for the sipwitch daemon and plugins,
 for the runtime library, and for all sipwitch utilities.  Because the debug 
 package should not pull in different plugins that may not normally be 
 used just to debug the server, they are not offered as a dependency.
 .
 Most people will not need this package.

Package: libsipwitch0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for sipwitch server
 This is the runtime library used by GNU SIP Witch and plugins.  This runtime
 library may also be used by other sipwitch related daemons in the future and
 is offered as a shared library.

Package: sipwitch-plugin-zeroconf
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Zeroconf plugin for sipwitch
 This plugin activates zeroconf network services for sipwitch and publishes
 sipwitch as a sip service.  In theory zeroconf aware SIP user agents should
 then be able to automatically connect to sipwitch without configuration.

Package: sipwitch-plugin-libnotify
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Libnotify plugin for sipwitch
 This plugin sends sipwitch events to the user's desktop using the D-Bus
 based libnotify library.  It's application is limited to desktop uses, and
 it may be used either with sipwitch running as a system desktop service
 or when launched as a user session daemon.

Package: sipwitch-plugin-forward
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Forward registration and redirection module for sipwitch
 This plugin enables you to cross-register secure extensions with sipwitch
 and with an insecure IP-PBX such as Asterisk.  Secure destinations called 
 to sipwitch extension number will route peer to peer, and all other
 destination numbers will be forwarded to the insecure IP-PBX.

Package: sipwitch-plugin-scripting
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Scripting plugin for sipwitch
 This plugin enables shell scripting in connection with specific sipwitch
 events.  Typical events include when a user registers with or de-registeres
 from the server.  Shell arguments may include additional information such
 as the effected sipwitch registration id.

Package: sipwitch-plugin-subscriber
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Subscriber gateway plugin for sipwitch
 This module is meant to eventually offer generic support for premise 
 routers when used by providers to offer sip/voip service to a subscriber.
 It offers rtp proxying and routing based on the assumption that all calls
 will be handed off to an external voip provider and automatic rtp
 proxy bridging between a subscribers local subnet and an isp.  In theory
 this would be deployed in an isp supplied premise router to enable a 
 local user to subscribe a series of local softphone/sip devices with a 
 remote voip service provider.

Package: sipwitch
Architecture: any
Depends: libsipwitch0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser
Description: secure peer-to-peer VoIP server for the SIP protocol
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made even
 behind NAT firewalls, and without needing a service provider.  SIP Witch can
 be used on the desktop to create bottom-up secure calling networks as a
 free software alternative to Skype.  SIP Witch can also be used as a stand-
 alone SIP-based office telephone server, or to create secure VoIP networks
 for an existing IP-PBX such as Asterisk, FreeSWITCH, or Yate.

=== debian/rules ===
#!/usr/bin/make -f

# Ensure at build time that the library has no dependencies on undefined
# symbols, and speed up loading.
LDFLAGS += -Wl,-z,defs -Wl,-O1

DEB_CONFIGURE_EXTRA_FLAGS = --with-initrddir=none 
DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
DEB_DH_STRIP_ARGS := --dbg-package=sipwitch-dbg
DEB_INSTALL_CHANGELOG_ALL := ChangeLog
DEB_UPDATE_RCD_PARAMS_sipwitch := start 95 2 3 4 5 . stop 05 1 .
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )

%:
	dh $@

.PHONY: override_dh_strip override_dh_fixperms override_dh_auto_install
override_dh_strip:
	dh_strip $(DEB_DH_STRIP_ARGS)

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/etc/network/if-up.d
	mkdir -p debian/tmp/etc/network/if-down.d
	install -m0755 debian/sipwitch.ifup debian/tmp/etc/network/if-up.d/sipwitch
	install -m0755 debian/sipwitch.ifdown debian/tmp/etc/network/if-down.d/sipwitch

override_dh_fixperms:
	dh_fixperms
	chmod 4755 debian/sipwitch/usr/bin/sippasswd

=== debian/watch ===
version=3
http://ftp.gnu.org/pub/gnu/sipwitch/sipwitch-([\d\.]*)\.tar\.gz

## sipwitch 1.0.0-1-maemo1

=== debian/changelog ===
sipwitch (1.0.0-1-maemo1) unstable; urgency=medium

  * For fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 17 May 2011 12:45:21 +0200

sipwitch (1.0.0-1) UNRELEASED; urgency=medium

  * Stable 1.0 release.

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 10 May 2011 17:18:21 -0400

sipwitch (0.10.6-1) UNRELEASED; urgency=low

  * New sync event in events ipc.

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 08 May 2011 14:29:37 -0400

sipwitch (0.10.3-1) UNRELEASED; urgency=low

  * Lots of code cleanup and portability changes.

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 20 Mar 2011 11:14:42 -0400

sipwitch (0.10.1-1) UNRELEASED; urgency=low

  * Consolidated utility programs into main sipwitch utility.
  * Server events streaming ipc.

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 28 Feb 2011 19:13:22 -0500

sipwitch (0.10.0-1) UNRELEASED; urgency=low

  * Uses ucommon usecure for digests.
  * Notify plugin dropped (new companion gui to be introduced later...)

 -- David Sugar <dyfet@gnutelephony.org>  Fri, 25 Feb 2011 06:43:05 -0500

sipwitch (0.9.3-1) UNRELEASED; urgency=low

  * Fix for domains.

 -- David Sugar <dyfet@gnutelephony.org>  Wed, 23 Feb 2011 18:59:48 -0500

sipwitch (0.9.2-1) UNRELEASED; urgency=low

  * Updated tls support and some bugs.
    - resolved registration with contact (Bug: #5).
    - resolved exiting issues and 0.0.0.0 interface binding (Bug: #4).

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 09 Nov 2010 07:59:08 -0500

sipwitch (0.9.1-1) UNRELEASED; urgency=low

  * Fix for unit test.

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 15 Aug 2010 10:32:11 -0400

sipwitch (0.9.0-1) UNRELEASED; urgency=low

  * Uses ucommon 3.3.4 or later.

 -- David Sugar <dyfet@gnutelephony.org>  Wed, 11 Aug 2010 23:08:51 -0400

sipwitch (0.8.4-1) UNRELEASED; urgency=low

  * Better handling of unresolvable request uri's

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 11 Jul 2010 20:24:32 -0400

sipwitch (0.8.3-1) UNRELEASED; urgency=low

  * Sipwitch reconfigures on network changes

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 18 May 2010 18:50:28 -0400

sipwitch (0.8.2-1) UNRELEASED; urgency=low

  * Requires ucommon 2.1.3

 -- David Sugar <dyfet@gnutelephony.org>  Wed, 05 May 2010 10:07:55 -0400

sipwitch (0.8.1-1) UNRELEASED; urgency=low

  * Requires ucommon 2.1.2

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 25 Apr 2010 12:29:56 -0400

sipwitch (0.8.0-1) UNRELEASED; urgency=low

  * Uses ucommon 2.1.x
  * Introduces libnotify plugin

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 29 Mar 2010 16:54:53 -0400

sipwitch (0.7.5-1) UNRELEASED; urgency=low

  * Init script fix for current distributions

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 22 Mar 2010 18:37:59 -0400

sipwitch (0.7.4-1) UNRELEASED; urgency=low

  * New upstream release and better description

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 15 Mar 2010 13:36:53 -0400

sipwitch (0.7.3-2) UNRELEASED; urgency=low

  *  Added setuid override

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 15 Mar 2010 07:49:42 -0400

sipwitch (0.7.3-1) UNRELEASED; urgency=low

  * Separate cgi package introduced for sipwitch webservices

 -- David Sugar <dyfet@gnutelephony.org>  Sat, 13 Mar 2010 17:38:14 -0500

sipwitch (0.7.2-1) UNRELEASED; urgency=low

  * Added examples back to package
  * Added debug support for rules in dh7
  * Enhanced runtime server debug support
  * Automatic adding of hostname to localnames

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 22 Feb 2010 09:40:47 -0500

sipwitch (0.7.1-1) UNRELEASED; urgency=low

  * new default config
  * fixed broken issue in debian init script
  * better seperatation of user vs root startup modes

 -- David Sugar <dyfet@gnutelephony.org>  Fri, 12 Feb 2010 09:15:05 -0500

sipwitch (0.7.0-1) UNRELEASED; urgency=low

  * new core NAT functionality introduced
  * definition of sip domain and realm consolidated

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 07 Feb 2010 19:00:52 -0500

sipwitch (0.6.2-1) UNRELEASED; urgency=low

  * only create extensions for generated accounts if using extension dialing
  * can change uid setting when server is live
  * use uuid for realm if no realm is set
  * maintainer sipwitch config file cleaned up with saner default options

 -- David Sugar <dyfet@gnutelephony.org>  Sat, 23 Jan 2010 02:03:42 -0500

sipwitch (0.6.1-1) UNRELEASED; urgency=low

  * Upstream fix for packing systems that do not use fakeroot

 -- David Sugar <dyfet@gnutelephony.org>  Wed, 20 Jan 2010 07:24:13 -0500

sipwitch (0.6.0-1) UNRELEASED; urgency=medium

  * Updated sipdigest to use sipwitch server library
  * Introduction of separate user account digest hash database
  * Digest hash database usable as an authentication source
  * New sippasswd utility to set sip user's digest secret
  * Sipwitch automatic integration of login accounts as sip users
  * Templaes for integrating login accounts and setting default properties

 -- David Sugar <dyfet@gnutelephony.org>  Tue, 19 Jan 2010 17:07:11 -0500

sipwitch (0.5.13-1) UNRELEASED; urgency=low

  *  Externalization of sip realm support for user password sync.

 -- David Sugar <dyfet@gnutelephony.org>  Sun, 17 Jan 2010 12:05:40 -0500

sipwitch (0.5.12-1) UNRELEASED; urgency=low

  * clearer definition of users, admins, services, and profiles
  * inbound anonymous calling fixed
  * missing man pages added

 -- David Sugar <dyfet@gnutelephony.org>  Fri, 18 Dec 2009 08:37:10 -0500

sipwitch (0.5.11-2) UNRELEASED; urgency=low

  * Re-packaged using debhelper support for init, cron, and logrotate

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 07 Dec 2009 08:53:02 -0500

sipwitch (0.5.11-1) UNRELEASED; urgency=low

  * Fix for gcc 4.4 strict pointer aliasing.
  * Addition of library configuration script.

 -- David Sugar <dyfet@gnutelephony.org>  Mon, 30 Nov 2009 10:13:26 -0500

sipwitch (0.5.10-1) UNRELEASED; urgency=medium

  * Fix for clients that register from ephimeral sockets (telepathy)


=== debian/control ===
Source: sipwitch
Priority: optional
Maintainer: David Sugar <dyfet@gnutelephony.org>
Build-Depends: debhelper (>= 7.0.50),
               dpkg-dev (>= 1.13.19),
               libavahi-client-dev,
               libexosip2-dev (>= 3),
               libucommon-dev (>= 3.3.4),
               pkg-config
Standards-Version: 3.8.4
Homepage: http://www.gnutelephony.org
Section: net

Package: libsipwitch-dev
Section: libdevel
Architecture: any
Depends: libsipwitch1 (= ${binary:Version}), libucommon-dev, ${misc:Depends}
Suggests: libexosip2-dev
Description: Headers and static link library for libswitch
 This package offers header files for developing plugins and services that
 use sipwitch.  These can be compiled separately from sipwitch itself and
 are loaded at server runtime.  Some external utilities may also be developed
 which use the libsipwitch library.

Package: sipwitch-cgi
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: apache2 | httpd
Description: sipwitch xmlrpc cgi interface
 This package offers a means to perform remote management of a sipwitch
 server using the cgi interface of an installed web server.  The primary
 service this offers is xmlrpc access to sipwitch shared memory and
 control interfaces in a manner analgolous to the sipwitch command utility.

Package: sipwitch-dbg
Architecture: any
Section: debug
Priority: extra
Recommends: sipwitch (= ${binary:Version}), libsipwitch-dev
Depends: libsipwitch1 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for sipwitch
 This package includes debugging symbols for the sipwitch daemon and plugins,
 for the runtime library, and for all sipwitch utilities.  Because the debug
 package should not pull in different plugins that may not normally be
 used just to debug the server, they are not offered as a dependency.
 .
 Most people will not need this package.

Package: libsipwitch1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for sipwitch server
 This is the runtime library used by GNU SIP Witch and plugins.  This runtime
 library may also be used by other sipwitch related daemons in the future and
 is offered as a shared library.

Package: sipwitch-plugin-zeroconf
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Zeroconf plugin for sipwitch
 This plugin activates zeroconf network services for sipwitch and publishes
 sipwitch as a sip service.  In theory zeroconf aware SIP user agents should
 then be able to automatically connect to sipwitch without configuration.

Package: sipwitch-plugin-forward
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Forward registration and redirection module for sipwitch
 This plugin enables you to cross-register secure extensions with sipwitch
 and with an insecure IP-PBX such as Asterisk.  Secure destinations called
 to sipwitch extension number will route peer to peer, and all other
 destination numbers will be forwarded to the insecure IP-PBX.

Package: sipwitch-plugin-scripting
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Scripting plugin for sipwitch
 This plugin enables shell scripting in connection with specific sipwitch
 events.  Typical events include when a user registers with or de-registeres
 from the server.  Shell arguments may include additional information such
 as the effected sipwitch registration id.

Package: sipwitch-plugin-subscriber
Architecture: any
Depends: sipwitch (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Subscriber gateway plugin for sipwitch
 This module is meant to eventually offer generic support for premise
 routers when used by providers to offer sip/voip service to a subscriber.
 It offers rtp proxying and routing based on the assumption that all calls
 will be handed off to an external voip provider and automatic rtp
 proxy bridging between a subscribers local subnet and an isp.  In theory
 this would be deployed in an isp supplied premise router to enable a
 local user to subscribe a series of local softphone/sip devices with a
 remote voip service provider.

Package: sipwitch
Architecture: any
Depends: libsipwitch1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, adduser
Description: secure peer-to-peer VoIP server for the SIP protocol
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made even
 behind NAT firewalls, and without needing a service provider.  SIP Witch can
 be used on the desktop to create bottom-up secure calling networks as a
 free software alternative to Skype.  SIP Witch can also be used as a stand-
 alone SIP-based office telephone server, or to create secure VoIP networks
 for an existing IP-PBX such as Asterisk, FreeSWITCH, or Yate.

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,4 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod 4755 debian/sipwitch/usr/bin/sippasswd
+

## sipwitch 1.0.3

=== debian/changelog ===
sipwitch (1.0.3-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#618427.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Jul 2011 14:27:16 +0200

=== debian/control ===
Source: sipwitch
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 devscripts (>= 2.10.7~),
 libtool,
 automake1.11,
 autoconf,
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 libucommon-dev,
 libexosip2-dev,
 pkg-config,
 libavahi-client-dev,
 d-shlibs
Standards-Version: 3.9.2
Homepage: http://www.gnu.org/software/sipwitch/
Section: net

Package: sipwitch
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 openbsd-inetd | inet-superserver,
 cron,
 logrotate
Suggests: sipwitch-cgi
Description: secure peer-to-peer VoIP server for the SIP protocol
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made
 even behind NAT firewalls, and without needing a service provider.  SIP
 Witch can be used on the desktop to create bottom-up secure calling
 networks as a free software alternative to Skype.  SIP Witch can also
 be used as a stand-alone SIP-based office telephone server, or to
 create secure VoIP networks for an existing IP-PBX such as Asterisk,
 FreeSWITCH, or Yate.
 .
 This package contains the sipwitch daemon and related utilities.

Package: libsipwitch-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libsipwitch1 (= ${binary:Version}),
 ${devlibs:Depends},
Description: secure peer-to-peer SIP VoIP server - development files
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made
 even behind NAT firewalls, and without needing a service provider.  SIP
 Witch can be used on the desktop to create bottom-up secure calling
 networks as a free software alternative to Skype.  SIP Witch can also
 be used as a stand-alone SIP-based office telephone server, or to
 create secure VoIP networks for an existing IP-PBX such as Asterisk,
 FreeSWITCH, or Yate.
 .
 This package contains the development headers and static libraries.

Package: libsipwitch1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
 libsipwitch1 (= ${binary:Version})
Description: secure peer-to-peer SIP VoIP server - development files
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made
 even behind NAT firewalls, and without needing a service provider.  SIP
 Witch can be used on the desktop to create bottom-up secure calling
 networks as a free software alternative to Skype.  SIP Witch can also
 be used as a stand-alone SIP-based office telephone server, or to
 create secure VoIP networks for an existing IP-PBX such as Asterisk,
 FreeSWITCH, or Yate.
 .
 This package contains the debugging symbols.

Package: libsipwitch1
Section: libs
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests: sipwitch
Description: secure peer-to-peer SIP VoIP server - development files
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made
 even behind NAT firewalls, and without needing a service provider.  SIP
 Witch can be used on the desktop to create bottom-up secure calling
 networks as a free software alternative to Skype.  SIP Witch can also
 be used as a stand-alone SIP-based office telephone server, or to
 create secure VoIP networks for an existing IP-PBX such as Asterisk,
 FreeSWITCH, or Yate.
 .
 This package contains the shared libraries.

Package: sipwitch-cgi
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Recommends: sipwitch, apache2 | httpd-cgi
Description: secure peer-to-peer SIP VoIP server - CGI XML-RPC interface
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made
 even behind NAT firewalls, and without needing a service provider.  SIP
 Witch can be used on the desktop to create bottom-up secure calling
 networks as a free software alternative to Skype.  SIP Witch can also
 be used as a stand-alone SIP-based office telephone server, or to
 create secure VoIP networks for an existing IP-PBX such as Asterisk,
 FreeSWITCH, or Yate.
 .
 This package contains the CGI-based XML-RPC interface for managing a
 locally resident sipw daemon, including the  ability to collect
 statistics and call information, and to perform control operations.
 This is meant to support creation of  remote  management  applications
 for sipwitch, especially when sipw might be executed on a dedicated
 router.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for GNU SIP Witch
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# This needs to run (and thus be declared) before CDBS includes
debian/control:: debian/control.in
DEB_PHONY_RULES += debian/control.in
debian/control.in::
	sed -e 's/__LIBPKGNAME__/$(libpkgname)/g' <debian/control.in.in >debian/control.in

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOCONF = 2.68
DEB_AUTO_UPDATE_AUTOHEADER = 2.68
DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_AUTOMAKE = 1.11
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk

stem = sipwitch
major = $(firstword $(subst .,$(space),$(DEB_UPSTREAM_VERSION)))
libname = lib$(stem)
libpkgname = lib$(stem)$(major)
pkgconfigname = $(libname)

DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
DEB_UPSTREAM_TARBALL_MD5 = 23f9a49774972e7663624da2cedd9f51

CDBS_BUILD_DEPENDS += , libucommon-dev, libexosip2-dev, pkg-config, libavahi-client-dev

DEB_MAKE_CHECK_TARGET = check

devbinfiles = sipwitch-config
binfiles = sippasswd sipquery sipwitch
sbinfiles = sipw
cgifiles = sipwitch.cgi
DEB_INSTALL_MANPAGES_$(libname)-dev = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(devbinfiles))
DEB_INSTALL_MANPAGES_$(stem) = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(binfiles)) $(patsubst %,debian/tmp/usr/share/man/man8/%.8,$(sbinfiles))
DEB_INSTALL_MANPAGES_$(stem)-cgi = $(patsubst %,debian/tmp/usr/share/man/man8/%.8,$(cgifiles))
DEB_DH_INSTALL_ARGS_$(libname)-dev = --autodest $(patsubst %,usr/bin/%,$(devbinfiles))
DEB_DH_INSTALL_ARGS_$(stem) = --autodest $(patsubst %,usr/bin/%,$(binfiles)) $(patsubst %,usr/sbin/%,$(sbinfiles))
DEB_DH_INSTALL_ARGS_$(stem) += usr/lib/sipwitch/*.so etc
DEB_DH_INSTALL_ARGS_$(stem)-cgi = --autodest $(patsubst %,usr/lib/cgi-bin/%,$(cgifiles))

# put aside upstream-shipped temp files during build but after copyright-check
upstreamtmpfiles = Makefile.in $(patsubst %,%/Makefile.in,common inc inc/sipwitch server test utils)
upstreamtmpfiles += aclocal.m4 autoconf/ltmain.sh configure sipwitch.spec
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file ] || [ -e $$file.upstream ] || cp -a $$file $$file.upstream; \
	done
	touch $@
clean::
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
	done
	rm -f debian/stamp-upstreamtmpstuff

# Clean autogenerated files not also shipped upstream
clean::
	rm -rf m4

# TODO: Enable docs when sensible (i.e. not mainly doing illegal ../ucommon)
#DEB_INSTALL_DOCS_$(stem)-doc += doc/html
#common-build-indep:: debian/stamp-docs
#debian/stamp-docs:
#	rm -rf doc
#	doxygen Doxyfile
#	touch $@
#clean::
#	rm -rf doc
#	rm -f debian/stamp-docs

# Re-install initscript with debhelper to add pre- and postinst routines
install/$(stem)::
	mv debian/tmp/etc/init.d/$(stem) debian/$(stem).init
clean::
	rm -f debian/$(stem).init

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
CDBS_BUILD_DEPENDS += , d-shlibs
binary-post-install/$(libpkgname):: debian/stamp-local-shlibs-$(libname)
debian/stamp-local-shlibs-$(libname): binary-install/$(libpkgname)
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--override  s/$(libname)$(major)-dev/$(libname)-dev/ \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		$(patsubst %,--movedev debian/tmp/usr/lib/pkgconfig/%.pc usr/lib/pkgconfig,$(pkgconfigstems)) \
		$(patsubst %,--extralib debian/tmp/usr/lib/%.so,$(extralibnames)) \
		debian/tmp/usr/lib/$(libname).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(libname)

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://www.gnutelephony.org/dist/tarballs/sipwitch-(\d.*)\.tar\.gz

## sipwitch 1.2.3

=== debian/changelog ===
sipwitch (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Unfuzz patch 1001.
  * Add git-buildpackage configfile, enabling signed tags.
  * Update copyright file:
    + Fix adjust GPL-2+ License section to actually contain GPL-2+ (not
      GPL-3+). Thanks to Mike O'Connor.
    + Add Files paragraphs, introducing new copyright holder.
    + Fix double-indent in Copyright fields as per Policy §5.6.13.
    + Fix include final final line of a disclaimer.
    + Fix add dot to avoid vertical space in License field.
    + Bump format to 1.0.
  * Update package relations:
    + Fix stop depend on unused inetd.
    + Fix recommend (not depend on) cron and logrotate.
    + Relax build-dependency on cdbs (needlessly tight).
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).
  * Remove debian/source/local-options; abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Add a few TODO items.
  * Bump standards-version to 3.9.3.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Mar 2012 14:43:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: sipwitch
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: autotools-dev,
- devscripts (>= 2.10.7~),
+Build-Depends: cdbs (>= 0.4.70~),
+ autotools-dev,
+ devscripts,
  libtool,
  automake1.11,
  autoconf,
- cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper,
  dh-buildinfo,
  libucommon-dev,
  libexosip2-dev,
  pkg-config,
  libavahi-client-dev,
  d-shlibs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/sipwitch/
 Section: net
 
@@ -23,8 +23,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  adduser,
- openbsd-inetd | inet-superserver,
- cron,
+Recommends: cron,
  logrotate
 Suggests: sipwitch-cgi
 Description: secure peer-to-peer VoIP server for the SIP protocol

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 pkgconfigname = $(libname)
 
 DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
-DEB_UPSTREAM_TARBALL_MD5 = 23f9a49774972e7663624da2cedd9f51
+DEB_UPSTREAM_TARBALL_MD5 = 177f0ca54289232a1fd446c1c673de37
 
 CDBS_BUILD_DEPENDS += , libucommon-dev, libexosip2-dev, pkg-config, libavahi-client-dev
 
@@ -49,14 +49,14 @@
 devbinfiles = sipwitch-config
 binfiles = sippasswd sipquery sipwitch
 sbinfiles = sipw
-cgifiles = sipwitch.cgi
+cgifiles = sipwitch-cgi
 DEB_INSTALL_MANPAGES_$(libname)-dev = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(devbinfiles))
 DEB_INSTALL_MANPAGES_$(stem) = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(binfiles)) $(patsubst %,debian/tmp/usr/share/man/man8/%.8,$(sbinfiles))
 DEB_INSTALL_MANPAGES_$(stem)-cgi = $(patsubst %,debian/tmp/usr/share/man/man8/%.8,$(cgifiles))
 DEB_DH_INSTALL_ARGS_$(libname)-dev = --autodest $(patsubst %,usr/bin/%,$(devbinfiles))
 DEB_DH_INSTALL_ARGS_$(stem) = --autodest $(patsubst %,usr/bin/%,$(binfiles)) $(patsubst %,usr/sbin/%,$(sbinfiles))
 DEB_DH_INSTALL_ARGS_$(stem) += usr/lib/sipwitch/*.so etc
-DEB_DH_INSTALL_ARGS_$(stem)-cgi = --autodest $(patsubst %,usr/lib/cgi-bin/%,$(cgifiles))
+DEB_DH_INSTALL_ARGS_$(stem)-cgi = --autodest usr/lib/cgi-bin/ $(patsubst %,usr/bin/%,$(cgifiles))
 
 # put aside upstream-shipped temp files during build but after copyright-check
 upstreamtmpfiles = Makefile.in $(patsubst %,%/Makefile.in,common inc inc/sipwitch server test utils)

## sipwitch 1.2.4

=== debian/changelog ===
sipwitch (1.2.4-1) unstable; urgency=low

  * New upstream release.

  * Update upstream source URL.
  * Extend copyright coverage of packaging.
  * Add Vcs-* URLs to control file.
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jun 2012 16:55:59 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
 Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/sipwitch/
 Section: net
+Vcs-Git: git://git.debian.org/git/collab-maint/sipwitch.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sipwitch.git
 
 Package: sipwitch
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for GNU SIP Witch
 #
 # This program is free software; you can redistribute it and/or modify
@@ -39,8 +39,8 @@
 libpkgname = lib$(stem)$(major)
 pkgconfigname = $(libname)
 
-DEB_UPSTREAM_URL = http://www.gnutelephony.org/dist/tarballs
-DEB_UPSTREAM_TARBALL_MD5 = 177f0ca54289232a1fd446c1c673de37
+DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/sipwitch
+DEB_UPSTREAM_TARBALL_MD5 = 6119cecb062ba4d0af18b427b01c41e2
 
 CDBS_BUILD_DEPENDS += , libucommon-dev, libexosip2-dev, pkg-config, libavahi-client-dev

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
http://ftp.gnu.org/gnu/sipwitch/sipwitch-(\d.*)\.tar\.gz
